package com.ruoyi.business.mapper;

import java.util.List;
import com.ruoyi.business.domain.TbUserMsg;

/**
 * 消息中心
Mapper接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface TbUserMsgMapper 
{
    /**
     * 查询消息中心

     * 
     * @param msgId 消息中心
主键
     * @return 消息中心

     */
    public TbUserMsg selectTbUserMsgByMsgId(Long msgId);

    /**
     * 查询消息中心
列表
     * 
     * @param tbUserMsg 消息中心

     * @return 消息中心
集合
     */
    public List<TbUserMsg> selectTbUserMsgList(TbUserMsg tbUserMsg);

    /**
     * 新增消息中心

     * 
     * @param tbUserMsg 消息中心

     * @return 结果
     */
    public int insertTbUserMsg(TbUserMsg tbUserMsg);

    /**
     * 修改消息中心

     * 
     * @param tbUserMsg 消息中心

     * @return 结果
     */
    public int updateTbUserMsg(TbUserMsg tbUserMsg);

    /**
     * 删除消息中心

     * 
     * @param msgId 消息中心
主键
     * @return 结果
     */
    public int deleteTbUserMsgByMsgId(Long msgId);

    /**
     * 批量删除消息中心

     * 
     * @param msgIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbUserMsgByMsgIds(String[] msgIds);
}
